<?
define('PROTECTOR', 1);

$headmod = 'rydnik';//фикс. места

$textl='Рудник';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

/////////////Восстановление ресов////////////
$nick=$log;
$jel = mysql_num_rows(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$nick' and `lat_name`= 'jelezo'"));
$kam = mysql_num_rows(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$nick' and `lat_name`= 'kamen'"));
$nef = mysql_num_rows(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$nick' and `lat_name`= 'nefrit'"));
$obs = mysql_num_rows(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$nick' and `lat_name`= 'obsidian'"));
$ser = mysql_num_rows(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$nick' and `lat_name`= 'serebro'"));

if($jel==0){mysql_query("INSERT INTO `res` SET `usr` = '$log', `lat_name` = 'jelezo', `kol` = '1', `tip`='res', `cena`='9'");}
if($kam==0){mysql_query("INSERT INTO `res` SET `usr` = '$log', `lat_name` = 'kamen', `kol` = '1', `tip`='res', `cena`='6'");}
if($nef==0){mysql_query("INSERT INTO `res` SET `usr` = '$log', `lat_name` = 'nefrit', `kol` = '1', `tip`='res', `cena`='30'");}
if($obs==0){mysql_query("INSERT INTO `res` SET `usr` = '$log', `lat_name` = 'obsidian', `kol` = '1', `tip`='res', `cena`='30'");}
if($ser==0){mysql_query("INSERT INTO `res` SET `usr` = '$log', `lat_name` = 'serebro', `kol` = '1', `tip`='res', `cena`='30'");}
//////////////////////////Конец//////////////

$req = mysql_query("SELECT * FROM `rydnik` where `usr`='$log'");
$avto=mysql_num_rows($req);
$rydnik = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `dost` WHERE `usr` = '$log'");
$dost=mysql_fetch_array($req);
switch($_GET[mod]){
default:
$rand=rand(1000,9999);
if($udata[lvl]==0){
echo'Ты слишком слаб чтобы работать на руднике! Приходи когда будет 1 уровень!';
include('files/down.php');
exit;}

echo"<div align='center'><b>Рудник</b></br> <img src='pic/game/ryd.jpg' alt='*'/></div>";
echo'<div class="event">';
echo'Ваш уровень шахтёра: <b>'.$set[shahter].'</b><br/>';
echo"<a href=\"rydnik.php?mod=udar\">Ударить</a><br/>";
echo"<a href=\"rydnik.php?mod=osmotr\">Осмотреть рудник</a><br/>";
break;

case 'udar':
$zarp=rand(0,$set[shahter]+1);
echo"<div align='center'><b>Рудник</b></br> <img src='pic/game/ryd.jpg' alt='*'/></div>";
echo'<div class="event">';
echo'Ваш уровень шахтёра: <b>'.$set[shahter].'</b><br/>';
if($udata[mp]<=0){
echo"<div class=\"logtext\"><font color='red'>Не хватает энергии.</font></div>";}else{
echo"<div class=\"logtext\">Вы ударили киркой и получили <font color='green'>+$zarp</font> монет</div>";
echo"<a href=\"rydnik.php?mod=udar\">Ударить снова</a><br/>";
echo"<a href=\"rydnik.php?mod=osmotr\">Осмотреть рудник</a><br/>";
mysql_query("UPDATE `dost` SET `prorud` = '$dost[prorud]'+'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'$zarp', `mp`='$udata[mp]'-'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `rydnik` SET `udar`='$rydnik[udar]'+'1' WHERE `usr` = '$log'");

}
break; 

case 'osmotr':
echo"<div align='center'><b>Рудник</b></br> <img src='pic/game/ryd.jpg' alt='*'/></div>";
echo'<div class="event">';
echo'Ваш уровень шахтёра: <b>'.$set[shahter].'</b><br/>';
if(empty($rydnik[usr])){echo"Чтобы осмотреть рудник, вы должны наняться на работу!<br/>";
echo"<a href=\"rydnik.php?\">Назад</a><br/>";break;}
if($rydnik[udar]<30){echo"Чтобы осмотреть рудник, надо выполнить больше 30ти ударов!<br/>";
echo"<a href=\"rydnik.php?\">Назад</a><br/>";break;}
$shans=1+($set[shahter]*2);
$gora=rand(0,100);
$nef=15+($set[shahter]*2);
$obs=15+($set[shahter]*2);
$kam=60+($set[shahter]*2);

echo"Вы осмотрели рудник</div><div class='menu'>Выпало:</br><font color='lime'>";
if($gora<=$shans){echo"Вы нашли кучу золота! +500 монет </br>";
mysql_query("UPDATE `users` SET `money` = '$udata[money]'+'500' WHERE `usr` = '$log'");}

$gora=rand(0,100);
if($gora<=$nef){$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = 'nefrit'");
$rs = mysql_fetch_array($req);
$nk=$rs[kol]+1;
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = 'nefrit'");
echo"Нефрит </br>";}

$gora=rand(0,100);
if($gora<=$obs){$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = 'obsidian'");
$rs = mysql_fetch_array($req);
$nk=$rs[kol]+1;
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = 'obsidian'");
echo"Обсидиан </br>";}

$gora=rand(0,100);
if($gora<=$kam){$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `lat_name` = 'kamen'");
$rs = mysql_fetch_array($req);
$nk=$rs[kol]+8;
mysql_query("UPDATE `res` SET `kol` = '$nk' WHERE `usr` = '$log' and `lat_name` = 'kamen'");
echo"8 Камня </br>";}
mysql_query("UPDATE `rydnik` SET `udar`='$rydnik[udar]'-'30' WHERE `usr` = '$log'");
echo"</font><a href=\"rydnik.php?\">Назад</a><br/>";
break; 
}
if(!empty($rydnik[usr])){
if($rydnik[last]<time()-800){ //800

        mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");

       echo'Работа прекращена, вы ничего не заработали!<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
        echo'</div>';
        include('files/down.php');exit;
}elseif($rydnik[over]<=time()){

$cena=5*$udata[lvl]+10*$set[shahter];
$udata[money]=$udata[money]+$cena;
        mysql_query("UPDATE `dost` SET `proshah` = '$dost[proshah]'+'1' WHERE `usr` = '$log'");
        mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
        mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");
        
        echo'Работа завершена, вы заработали '.$cena.' монет!<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
        echo'</div>';
        include('files/down.php');exit;
}
}

if($_GET[mod]==rab){
if(!empty($rydnik[usr])){

mysql_query("UPDATE rydnik SET last = '".time()."' WHERE usr = '$log'");
        
        echo'Вы работаете на руднике.<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}else{
$over=time()+1200; //1200
$last=time();

mysql_query("INSERT INTO
        `rydnik` SET
        `usr` = '$log',
        `over` = '$over',
        `last` = '$last'");
        
        echo'Работа на руднике начата!<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}
}elseif($_GET[mod]==cancel){

if(empty($rydnik[usr])){
        echo'Вы не работаете на руднике!<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
}else{
        mysql_query("DELETE FROM `rydnik` WHERE usr='$log'");
        
        echo'Работа на руднике прекращена!<br/>';
        echo"<a href=\"rydnik.php?r=$rand\">Продолжить</a><br/>";
        }
}else{
if(empty($rydnik[usr])){
echo"Кол-во ударов $rydnik[udar]</br>";
echo"<a href=\"rydnik.php?mod=rab&amp;r=$rand\"><input class=\"button\" type=\"submit\" value=\"Работать наёмником (20мин)\" /></a><br/>";
}else{
mysql_query("UPDATE rydnik SET last = '".time()."' WHERE usr = '$log'");
echo"До завершения работы: ";
    
$rydnik[over]=$rydnik[over]-time();
if($rydnik[over]<60){
echo "$rydnik[over] сек.<br/>";
}elseif($rydnik[over]>60 and $rydnik[over]<3600){
$rydnik[over]=round($rydnik[over]/60);
echo "$rydnik[over] мин.<br/>";
}else{
$rydnik[over]=round($rydnik[over]/3600);
echo "$rydnik[over] часов<br/>";
}
if(empty($rydnik[usr])){$rydnik[over]=20;}
echo"Кол-во ударов $rydnik[udar]</br>";
echo"<a href=\"rydnik.php?mod=rab&amp;r=$rand\"><input class=\"button\" type=\"submit\" value=\"Работать наёмником ($rydnik[over]мин)\" /></a><br/>";
echo"[<a href=\"rydnik.php?mod=cancel&amp;r=$rand\">Отменить</a>]<br/>";
}
}
echo'</div>';echo"$div <font color=\"#ffc22b\"> • Теперь рудник можно осматривать! после осмотра можно найти
 все виды ресурсов... и другие бонусы!</font>";
////////////////////////
@include('files/down.php');
?>